using System;
using System.Collections.Generic;

namespace bdAntifraude.db;

public partial class PERMISOS
{
    public int IDPERMISO { get; set; }

    public string? CODIGOPERMISO { get; set; }

    public string? DESCRIPCION { get; set; }

    public virtual ICollection<AUTORIZACIONESGRUPOS> AUTORIZACIONESGRUPOS { get; set; } = new List<AUTORIZACIONESGRUPOS>();

    public virtual ICollection<AUTORIZACIONESUSUARIOS> AUTORIZACIONESUSUARIOS { get; set; } = new List<AUTORIZACIONESUSUARIOS>();

    public virtual ICollection<MENUS> MENUS { get; set; } = new List<MENUS>();

    public virtual ICollection<PLANTILLAS> PLANTILLAS { get; set; } = new List<PLANTILLAS>();

    public virtual ICollection<PROCESOS> PROCESOS { get; set; } = new List<PROCESOS>();
}
